org.apache.cassandra.db.commitlog

## Class CommitLogSegment.Allocation

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLogSegment.Allocation

- Enclosing class:
    CommitLogSegment

      protected static class CommitLogSegment.Allocation
      extends java.lang.Object

  A simple class for tracking information about the portion of a segment that has been allocated to a log write.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommitLogPosition` | `getCommitLogPosition()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCommitLogPosition

          public CommitLogPosition getCommitLogPosition()

Copyright © 2018 The Apache Software Foundation